"use strict";
var constants = require("../constants");
var CreateProjectCommand = (function () {
    function CreateProjectCommand($projectService, $errors, $options, $stringParameterBuilder) {
        this.$projectService = $projectService;
        this.$errors = $errors;
        this.$options = $options;
        this.$stringParameterBuilder = $stringParameterBuilder;
        this.enableHooks = false;
        this.allowedParameters = [this.$stringParameterBuilder.createMandatoryParameter("Project name cannot be empty.")];
    }
    CreateProjectCommand.prototype.execute = function (args) {
        var _this = this;
        return (function () {
            if ((_this.$options.tsc || _this.$options.ng) && _this.$options.template) {
                _this.$errors.fail("You cannot use --ng or --tsc options together with --template.");
            }
            var selectedTemplate;
            if (_this.$options.tsc) {
                selectedTemplate = constants.TYPESCRIPT_NAME;
            }
            else if (_this.$options.ng) {
                selectedTemplate = constants.ANGULAR_NAME;
            }
            else {
                selectedTemplate = _this.$options.template;
            }
            _this.$projectService.createProject(args[0], selectedTemplate).wait();
        }).future()();
    };
    return CreateProjectCommand;
}());
exports.CreateProjectCommand = CreateProjectCommand;
$injector.registerCommand("create", CreateProjectCommand);
