"use strict";
var DeployOnDeviceCommand = (function () {
    function DeployOnDeviceCommand($platformService, $platformCommandParameter, $options, $errors, $mobileHelper) {
        this.$platformService = $platformService;
        this.$platformCommandParameter = $platformCommandParameter;
        this.$options = $options;
        this.$errors = $errors;
        this.$mobileHelper = $mobileHelper;
        this.allowedParameters = [];
    }
    DeployOnDeviceCommand.prototype.execute = function (args) {
        return this.$platformService.deployOnDevice(args[0]);
    };
    DeployOnDeviceCommand.prototype.canExecute = function (args) {
        var _this = this;
        return (function () {
            if (!args || !args.length || args.length > 1) {
                return false;
            }
            if (!_this.$platformCommandParameter.validate(args[0]).wait()) {
                return false;
            }
            if (_this.$mobileHelper.isAndroidPlatform(args[0]) && _this.$options.release && (!_this.$options.keyStorePath || !_this.$options.keyStorePassword || !_this.$options.keyStoreAlias || !_this.$options.keyStoreAliasPassword)) {
                _this.$errors.fail("When producing a release build, you need to specify all --key-store-* options.");
            }
            return true;
        }).future()();
    };
    return DeployOnDeviceCommand;
}());
exports.DeployOnDeviceCommand = DeployOnDeviceCommand;
$injector.registerCommand("deploy", DeployOnDeviceCommand);
