"use strict";
var __extends = (this && this.__extends) || function (d, b) {
    for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p];
    function __() { this.constructor = d; }
    d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
};
var device_log_provider_base_1 = require("./device-log-provider-base");
var DeviceLogProvider = (function (_super) {
    __extends(DeviceLogProvider, _super);
    function DeviceLogProvider($logFilter, $logger) {
        _super.call(this, $logFilter, $logger);
        this.$logFilter = $logFilter;
        this.$logger = $logger;
    }
    DeviceLogProvider.prototype.logData = function (lineText, platform, deviceIdentifier) {
        var applicationPid = this.getApplicationPidForDevice(deviceIdentifier);
        var data = this.$logFilter.filterData(platform, lineText, applicationPid);
        if (data) {
            this.$logger.out(data);
        }
    };
    DeviceLogProvider.prototype.setLogLevel = function (logLevel, deviceIdentifier) {
        this.$logFilter.loggingLevel = logLevel.toUpperCase();
    };
    return DeviceLogProvider;
}(device_log_provider_base_1.DeviceLogProviderBase));
exports.DeviceLogProvider = DeviceLogProvider;
$injector.register("deviceLogProvider", DeviceLogProvider);
